## org.apache.lucene.demo.html
Class HTMLParserTokenManager

    java.lang.Object
      org.apache.lucene.demo.html.HTMLParserTokenManager

All Implemented Interfaces:
  HTMLParserConstants

    public class HTMLParserTokenManager

extends Object
implements HTMLParserConstants

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream`
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface org.apache.lucene.demo.html.HTMLParserConstants

`AfterEquals, ArgEquals, ArgName, ArgQuote1, ArgQuote2, ArgValue, CloseQuote1, CloseQuote2, Comment1, Comment2, CommentEnd1, CommentEnd2, CommentText1, CommentText2, DeclName, DEFAULT, Entity, EOF, HEX, LET, NUM, Punct, Quote1Text, Quote2Text, ScriptEnd, ScriptStart, ScriptText, SP, Space, TagEnd, TagName, tokenImage, WithinComment1, WithinComment2, WithinQuote1, WithinQuote2, WithinScript, WithinTag, Word`

Constructor Summary
`HTMLParserTokenManager(SimpleCharStream stream)`
`HTMLParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### HTMLParserTokenManager

    public HTMLParserTokenManager(SimpleCharStream stream)

### HTMLParserTokenManager

    public HTMLParserTokenManager(SimpleCharStream stream,
                                  int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.